#!/bin/sh

# Make proxy-setup accessible if still in SNS.
[ -x usr/sbin/proxy-setup ] || ln -sn /usr/local/simple_network_setup/proxy-setup usr/sbin/proxy-setup

# Extracted from network_default_connect.
if [ "`pwd`" = '/' ];then
 DEFAULTEXEC="`cat /usr/local/bin/defaultconnect | tail -n 1 | tr -s " " | cut -f 2 -d " "`"
 if [ -f /root/.connectwizardrc ] \
  && grep -q 'CURRENT_EXEC=.' /root/.connectwizardrc; then
  . /root/.connectwizardrc #sets CURRENT_EXEC
 else
  CURRENT_EXEC="$DEFAULTEXEC"
 fi

 #correct possible invalid netwiz indication...
 if [ "$CURRENT_EXEC" = 'net-setup.sh' ] \
   && [ ! "`ls -1 /etc/network-wizard/network/interfaces 2>/dev/null`" ];then
  CURRENT_EXEC="$DEFAULTEXEC"
 fi
 
 NETCHOICE="$CURRENT_EXEC"
 case $CURRENT_EXEC in
  connectwizard|frisbee) #try determine which tool was used to setup networking... 101007 160609...
   if which frisbee &>/dev/null && frisbee --test_active; then #130104
    NETCHOICE='frisbee' #130104
   elif [ -s /etc/simple_network_setup/connections ];then #100306 ...160609
    NETCHOICE='sns'
   elif [ "`ls -1 /etc/network-wizard/network/interfaces 2>/dev/null`" ];then
    NETCHOICE='net-setup.sh'
   elif [ "`ls -1 /etc/pwf/wifi 2>/dev/null`" ] \
    || [ "`ls -1 /etc/pwf/ethernet 2>/dev/null`" ];then
    NETCHOICE='peasywifi'
   fi
  esac
 echo "CURRENT_EXEC=$NETCHOICE" > /root/.connectwizardrc
fi
